Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040938
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-05-22 17:502019-06-03 11:34
ReporterxabiermerinoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040938: Negative line if a Scaled prices is applied twice

DescriptionIf two scaled price are applied to one line, the line appears as negative. It should be 0.

Steps To Reproduce1.- Configure two scaled price for Backpacks & Travel
Unit 1: 0%
Unit 2: 0%
Unit 3: 100%

2.- Create a ticket with three different products that belongs to Backpacks & Travle

3.- Pay the ticket

4.- Realize that the line is negative in backoffice
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041008 resolvedranjith_qualiantech_com Negative price using promotions in different scenarios 

-  Notes
(0112143)
hgbot (developer)
2019-05-27 08:11

Repository: erp/pmods/org.openbravo.retail.discounts.scaledprice
Changeset: 1f24bc9dc3a982571fbd8e9f25ff29c0b26612df
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon May 27 11:40:45 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.scaledprice/rev/1f24bc9dc3a982571fbd8e9f25ff29c0b26612df [^]

Related to issue 40938 : Discount should not be applied if line discountedPrice is less than zero

---
M web/org.openbravo.retail.discounts.scaledprice/js/scaledprice.js
---

- Issue History
Date Modified Username Field Change
2019-05-22 17:50 xabiermerino New Issue
2019-05-22 17:50 xabiermerino Assigned To => Retail
2019-05-22 17:50 xabiermerino Triggers an Emergency Pack => No
2019-05-24 12:39 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-05-24 12:39 ranjith_qualiantech_com Status new => scheduled
2019-05-27 08:11 hgbot Checkin
2019-05-27 08:11 hgbot Note Added: 0112143
2019-05-30 08:24 ranjith_qualiantech_com Status scheduled => resolved
2019-05-30 08:24 ranjith_qualiantech_com Resolution open => fixed
2019-06-03 11:34 marvintm Review Assigned To => marvintm
2019-06-03 11:34 marvintm Status resolved => closed
2019-06-03 11:34 marvintm Fixed in Version => RR19Q3
2019-06-05 14:14 ranjith_qualiantech_com Relationship added related to 0041008


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker